package com.huigou.topsun.sap.qualityInfoRecord.application;

import com.huigou.topsun.sap.qualityInfoRecord.domain.SapQualityInfoRecordItem;
import com.huigou.topsun.sap.qualityInfoRecord.domain.query.SapQualityInfoRecordQueryRequest;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @Auther: xin.lu
 * @Date: 2024/02/28/15:40
 * @Description:
 */
public interface SapQualityInfoRecordItemApplication {
    public static final String QUERY_XML_FILE_PATH = "config/topsun/sap/sapQualityInfoRecord/sapQualityInfoRecordItem.xml";
    void saveSapQualityInfoRecordItem(String sapPurchaseInfoRecordId, List<SapQualityInfoRecordItem> sapQualityInfoRecordItems);

    Map<String,Object> querySapQualityInfoRecordItem(SapQualityInfoRecordQueryRequest queryRequest);

    void deleteByIds(List<String> ids);

    List<SapQualityInfoRecordItem> findBySapQualityInfoRecordId(String sapQualityInfoRecordId);

    void save(SapQualityInfoRecordItem sapQualityInfoRecordItem);

    boolean checkQualityInfo(String matnr, String lifnr, Date datbi);
}
